Package org.openoffice.da.comp.w2lcommon.filter

# Class ExportFilterBase

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.ExportFilterBase

All Implemented Interfaces:
  `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XServiceName`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.uno.XInterface`, `com.sun.star.xml.sax.XDocumentHandler`, `com.sun.star.xml.XExportFilter`

Direct Known Subclasses:
  `W2LExportFilter`, `W2XExportFilter`

public abstract class ExportFilterBase extends Object implements com.sun.star.xml.XExportFilter, com.sun.star.lang.XServiceName, com.sun.star.lang.XServiceInfo, com.sun.star.xml.sax.XDocumentHandler, com.sun.star.lang.XTypeProvider
This class provides an abstract UNO component which implements an XExportFilter. The filter is actually generic and only the constructor and 3 strings needs to be changed by the subclass.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`__displayName`
Filter name to include in error messages
`static final String`
`__implementationName`
Implementation name for the component
`static final String`
`__serviceName`
Service name for the component

### Fields inherited from interface com.sun.star.xml.sax.XDocumentHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.xml.XExportFilter

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceName

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`ExportFilterBase(com.sun.star.uno.XComponentContext xComponentContext)`
Construct a new ExportFilterBase from a given component context

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(String sText)`
`void`
`endDocument()`
`void`
`endElement(String sTagName)`
`boolean`
`exporter(com.sun.star.beans.PropertyValue[] aSourceData, String[] msUserData)`
`byte[]`
`getImplementationId()`
`String`
`getImplementationName()`
`String`
`getServiceName()`
`String[]`
`getSupportedServiceNames()`
`com.sun.star.uno.Type[]`
`getTypes()`
`void`
`ignorableWhitespace(String str)`
`void`
`processingInstruction(String aTarget, String aData)`
`void`
`setDocumentLocator(com.sun.star.xml.sax.XLocator xLocator)`
`void`
`startDocument()`
`void`
`startElement(String sTagName, com.sun.star.xml.sax.XAttributeList xAttribs)`
`boolean`
`supportsService(String stringServiceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __serviceName

public static final String __serviceName
Service name for the component

See Also:
  - Constant Field Values

### __implementationName

public static final String __implementationName
Implementation name for the component

See Also:
  - Constant Field Values

### __displayName

public String __displayName
Filter name to include in error messages

## Constructor Details

### ExportFilterBase

public ExportFilterBase(com.sun.star.uno.XComponentContext xComponentContext)
Construct a new ExportFilterBase from a given component context

Parameters:
  `xComponentContext` - the component context used to instantiate new UNO services

## Method Details

### exporter

public boolean exporter(com.sun.star.beans.PropertyValue[] aSourceData, String[] msUserData)

Specified by:
  `exporter` in interface `com.sun.star.xml.XExportFilter`

### startDocument

public void startDocument()

Specified by:
  `startDocument` in interface `com.sun.star.xml.sax.XDocumentHandler`

### endDocument

public void endDocument() throws com.sun.star.uno.RuntimeException

Specified by:
  `endDocument` in interface `com.sun.star.xml.sax.XDocumentHandler`
Throws:
  `com.sun.star.uno.RuntimeException`

### startElement

public void startElement(String sTagName, com.sun.star.xml.sax.XAttributeList xAttribs)

Specified by:
  `startElement` in interface `com.sun.star.xml.sax.XDocumentHandler`

### endElement

public void endElement(String sTagName)

Specified by:
  `endElement` in interface `com.sun.star.xml.sax.XDocumentHandler`

### characters

public void characters(String sText)

Specified by:
  `characters` in interface `com.sun.star.xml.sax.XDocumentHandler`

### ignorableWhitespace

public void ignorableWhitespace(String str)

Specified by:
  `ignorableWhitespace` in interface `com.sun.star.xml.sax.XDocumentHandler`

### processingInstruction

public void processingInstruction(String aTarget, String aData)

Specified by:
  `processingInstruction` in interface `com.sun.star.xml.sax.XDocumentHandler`

### setDocumentLocator

public void setDocumentLocator(com.sun.star.xml.sax.XLocator xLocator)

Specified by:
  `setDocumentLocator` in interface `com.sun.star.xml.sax.XDocumentHandler`

### getTypes

public com.sun.star.uno.Type[] getTypes()

Specified by:
  `getTypes` in interface `com.sun.star.lang.XTypeProvider`

### getImplementationId

public byte[] getImplementationId()

Specified by:
  `getImplementationId` in interface `com.sun.star.lang.XTypeProvider`

### getServiceName

public String getServiceName()

Specified by:
  `getServiceName` in interface `com.sun.star.lang.XServiceName`

### supportsService

public boolean supportsService(String stringServiceName)

Specified by:
  `supportsService` in interface `com.sun.star.lang.XServiceInfo`

### getImplementationName

public String getImplementationName()

Specified by:
  `getImplementationName` in interface `com.sun.star.lang.XServiceInfo`

### getSupportedServiceNames

public String[] getSupportedServiceNames()

Specified by:
  `getSupportedServiceNames` in interface `com.sun.star.lang.XServiceInfo`